package me.mrletsplay.nojs.rest;

import me.mrletsplay.simplehttpserver.http.HttpRequestMethod;
import me.mrletsplay.simplehttpserver.http.HttpStatusCodes;
import me.mrletsplay.simplehttpserver.http.endpoint.Endpoint;
import me.mrletsplay.simplehttpserver.http.endpoint.EndpointCollection;
import me.mrletsplay.simplehttpserver.http.header.DefaultClientContentTypes;
import me.mrletsplay.simplehttpserver.http.request.HttpRequestContext;
import me.mrletsplay.simplehttpserver.http.request.urlencoded.UrlEncoded;
import me.mrletsplay.simplehttpserver.http.response.TextResponse;

public class TestEndpoint implements EndpointCollection {

	@Endpoint(method = HttpRequestMethod.POST, path = "/test")
	public void test() {
		HttpRequestContext ctx = HttpRequestContext.getCurrentContext();

		UrlEncoded encoded = ctx.getClientHeader().getPostData().getParsedAs(DefaultClientContentTypes.URLENCODED);

		ctx.respond(HttpStatusCodes.OK_200, new TextResponse(encoded.getFirst("test")));
	}

	@Override
	public String getBasePath() {
		return "/api";
	}

}
